psf2zx(1)			   PSF Tools			     psf2zx(1)



NAME
       psf2zx - convert a PSF font to Spectrum format

SYNOPSIS
       psf2zx [--tap] [--naked] [--rom=romfile] [--sna=snapfile] [--mode=bare]
       [--mode=merge1] [INPUTFILE [OUTPUTFILE]]
DESCRIPTION
       psf2zx converts a PSF font into a font suitable for use on  a  Sinclair
       Spectrum.

OPTIONS
       --p3dos
	      Sets the output format to Spectrum +3DOS, with a 128-byte header
	      followed by the font data. This is the default output format.

       --tap  Sets the output format to .TAP (Spectrum emulator  tape  image).
	      The  resulting  TAP  image  will	contain  a  single file called
	      T:font.bin.

       --naked
	      Sets the output format to a simple 768-byte binary file will  be
	      written, with no header or trailer records.

       --rom=romfile
	      Sets  the output to be a Spectrum ROM, based on the ROM image in
	      romfile.	The file written will be a copy of  romfile  but  with
	      the font replaced by the result of psf2zx.

       --sna=snapfile

       Sets  the output to be a .SNA snapshot, based on the snapshot passed as
       snapfile.  The file written will be a copy of  snapfile	but  with  the
       font replaced by the result of psf2zx.

       This  depends  on  the CHARS system variable having been set up so that
       the game outputs using the ROM routines; if the program in the snapshot
       uses some other form of output, it may leave CHARS alone or set it to a
       random value. For example, the font in the game 2112 cannot be replaced
       using this method.

       --mode=raw
	      Copies  characters  32-127 from the PSF file, without attempting
	      to translate the pound sign, up arrow or copyright symbol.  This
	      is the default conversion mode if the source file has no Unicode
	      directory.

       --mode=merge1
	      Copies characters from the PSF file, converting the pound  sign,
	      up arrow and copyright symbol. This is the default conversion if
	      the source file has a Unicode directory. If this option  is  se‐
	      lected  but the source file has no Unicode directory, it will be
	      assumed to be using a variant of the  ISO-8859-1	codepage  with
	      the  up-arrow  at  character  position 18h (based on LAT1-08.PSF
	      supplied with Linux).

BUGS
       The behaviour of the 'merge1' mode is ugly when applied to  non-Unicode
       PSF files.

SEE ALSO
       zx2psf(1)

AUTHOR
       John Elliott <seasip.webmaster@gmail.com>.

Version 1.0.8			 21 June, 2008			     psf2zx(1)
